summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeremy Olexa <darkside@gentoo.org>2009-10-16 01:43:15 +0000
committerJeremy Olexa <darkside@gentoo.org>2009-10-16 01:43:15 +0000
commit1da0df50b95f1d50bd70f0e7737954947a790bdb (patch)
tree7f9e41af9ac6909109b93ebe6e76945df0e7dda0 /app-shells/bash-completion/files
parentDon't try to 2to3 some files (bug #289026). (diff)
downloadgentoo-2-1da0df50b95f1d50bd70f0e7737954947a790bdb.tar.gz
gentoo-2-1da0df50b95f1d50bd70f0e7737954947a790bdb.tar.bz2
gentoo-2-1da0df50b95f1d50bd70f0e7737954947a790bdb.zip
Fix my previous screwup. The base module exists again and hopefully works, bug 289240
(Portage version: 2.1.6.13/cvs/Linux x86_64)
Diffstat (limited to 'app-shells/bash-completion/files')
-rw-r--r--app-shells/bash-completion/files/bash-completion.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/app-shells/bash-completion/files/bash-completion.sh b/app-shells/bash-completion/files/bash-completion.sh
index aa84784ff74a..2ef091fc9cb3 100644
--- a/app-shells/bash-completion/files/bash-completion.sh
+++ b/app-shells/bash-completion/files/bash-completion.sh
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/files/bash-completion.sh,v 1.4 2009/10/15 13:52:36 darkside Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/files/bash-completion.sh,v 1.5 2009/10/16 01:43:15 darkside Exp $
# Check for interactive bash and that we haven't already been sourced.
[ -z "$BASH_VERSION" -o -z "$PS1" -o -n "$BASH_COMPLETION" ] && return
@@ -9,22 +9,22 @@
bash=${BASH_VERSION%.*}; bmajor=${bash%.*}; bminor=${bash#*.}
if [ $bmajor -eq 2 -a $bminor '>' 04 ] || [ $bmajor -gt 2 ]; then
_load_completions() {
- declare f x loaded_base=false
+ declare f x loaded_pre=false
for f; do
if [[ -f $f ]]; then
# Prevent loading base twice, initially and via glob
- if $loaded_base && [[ $f == */.bash-completion ]]; then
+ if $loaded_pre && [[ $f == */base ]]; then
continue
fi
# Some modules, including base, depend on the definitions
# in .pre. See the ebuild for how this is created.
- if ! $loaded_base; then
+ if ! $loaded_pre; then
if [[ ${BASH_COMPLETION-unset} == unset ]]; then
- BASH_COMPLETION=/usr/share/bash-completion/.bash-completion
+ BASH_COMPLETION=/usr/share/bash-completion/base
fi
- source /usr/share/bash-completion/.bash-completion
- loaded_base=true
+ source /usr/share/bash-completion/.pre
+ loaded_pre=true
fi
source "$f"
@@ -42,7 +42,7 @@ if [ $bmajor -eq 2 -a $bminor '>' 04 ] || [ $bmajor -gt 2 ]; then
# 4. Load user completion file last, overrides modules at user discretion
# This order is subject to change once upstream decides on something.
_load_completions \
- /usr/share/bash-completion/.bash-completion
+ /etc/bash_completion.d/base \
/etc/bash_completion.d/* \
~/.bash_completion.d/* \
~/.bash_completion